//
// footer
//

#footer {
    background: $footer-background;
    color: $footer-text;
        
    @media (max-width: $screen-sm-max) {
        padding: 40px 0 40px 0;
    }

    @media (min-width: $screen-md-min) {
        padding: 80px 0 40px 0;
    }

    // region
    @media (min-width: $screen-md-min) {
        padding: 80px 0 40px 0;

        .region-footer {
            display: flex;
            margin: 0 -20px;
        }

    }

    // block
    .block {

        & > h2 {
            margin-bottom: 1.5rem;
            font-size: 1.5rem;
            font-weight: bold;
            color: $white;
        }

    }
        
    @media (max-width: $screen-sm-max) {

        .block {
            margin-bottom: 30px;
            padding-bottom: 30px;
            border-bottom: 1px solid $gray-2;

            &:last-child {
                margin-bottom: 0px;
            }

        }

    }

    @media (min-width: $screen-md-min) {

        .block {
            flex-grow: 1;
            flex: 1;
            padding-left: 20px;
            padding-right: 20px;

            & > h2 {
                text-align: left;
            }

        }

    }

}     
